﻿/*----------------------*/
/*    GENERAL STYLES    */
/*----------------------*/
html, body {
    width: 100vw;
    min-width: 100vw;
    max-width: 100vw;
    height: 100vh;
    min-height: 100vh;
    max-height: 100vh;
    padding: 0;
    margin: 0;
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../Images/BigFishLittleFish.jpg);
    background-color: #1C1C1C;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    font-family: "Segoe UI", "Trebuchet MS", Verdana, Tahoma, Arial, Helvetica, sans-serif;
}

#content_container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    position: relative;
}

/*--------------------------*/
/*    PAGE HEADER STYLES    */
/*--------------------------*/
#pageheader {
    padding: 10px;
    height: 100px;
    background-color: #1C1C1C;
    text-align: center;
}

#logo_container {
    position: absolute;
    top: 10px;
    left: 10px;
}

#logo {
    width: 100%;
    height: 100%;
}

#title_container {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

#title {
    color: #FFF;
    margin: 0;
    font-size: 28px;
}

/*--------------------*/
/*    TABLE STYLES    */
/*--------------------*/
#article_list_table_container {
    width: 1600px;
    height: 50%;
    overflow-y: scroll;
    border-radius: 1rem;
    box-shadow: 0 0 5px 0;
    background: inherit;
    backdrop-filter: blur(30px);
    background-color: rgba(0, 0, 0, 0.2);
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#article_list_table_container::-webkit-scrollbar {
    width: 16px;
}

#article_list_table_container::-webkit-scrollbar-thumb {
    background-color: #FFF;
    border: 4px solid transparent;
    border-radius: 8px;
    background-clip: padding-box;
}

#article_list_table {
    width: 100%;
    color: #FFF;
}

#article_list_table th {
    padding: 15px 10px;
    font-size: 20px;
    font-weight: bold;
}

#article_list_table td {
    padding: 15px 10px;
    font-size: 17px;
}

#article_list_table a {
    color: #FFF;
    text-decoration: none;
}

#article_list_table tbody tr:hover {
    background-color: rgba(0, 0, 0, 0.55);
}

#article_list_table tbody tr:hover td,
#article_list_table tbody tr:hover td a {
    color: #27CFC3;
    transition: color 0.2s linear;
    -moz-transition: color 0.2s linear;
    -webkit-transition: color 0.2s linear;
}

#th_type {
    width: 10%;
    text-align: center;
}
.td-type {
    text-align: center;
}

#th_date {
    width: 10%;
    text-align: center;
}
.td-date {
    text-align: center;
}

#th_title {
    width: 80%;
    text-align: left;
}
.td-title {
    text-align: left;
}
.title {
    font-weight: 800;
}

.pseudo-hover-background {
    background-color: rgba(0, 0, 0, 0.55);
}

.pseudo-hover-text {
    color: #27CFC3 !important;
    transition: color 0.2s linear;
    -moz-transition: color 0.2s linear;
    -webkit-transition: color 0.2s linear;
}

#selected_daily_link {
    font-style: italic;
    font-size: 14px;
}

/*------------------------------*/
/*    RETURN TO LOGIN STYLES    */
/*------------------------------*/
.login-link-container {
    width: -moz-fit-content;
    width: fit-content;
    box-sizing: border-box;
    padding: 1rem;
    display: flex;
    flex: 0 1 auto;
    flex-direction: column;
    color: rgba(255, 255, 255, 0.7);
    border-radius: 1rem;
    background-color: rgba(0, 0, 0, 0.4);
    max-width: 500px;
    position: absolute;
    justify-content: center;
    align-items: center;
    left: 2rem;
    top: 10rem;
    font-size: 14px;
    z-index: 999;
}

.login-link-container:hover {
    outline: 0.2rem solid rgba(0, 0, 0, 0.6);
    color: rgba(255, 255, 255, 1);
    background-color: rgba(0, 0, 0, 0.8);
    cursor: pointer;
}

.arrow-left {
    border: solid #FFF;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
}

/*--------------------------*/
/*    PAGE FOOTER STYLES    */
/*--------------------------*/
}

.blogPostLinks:hover {
    text-decoration: underline;
}